"""Initial migration

Revision ID: 6dd8d8894f46
Revises: 
Create Date: 2025-07-08 17:02:45.832616

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '6dd8d8894f46'
down_revision: Union[str, Sequence[str], None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('config',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('key', sa.String(), nullable=True),
    sa.Column('value', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_config_id'), 'config', ['id'], unique=False)
    op.create_index(op.f('ix_config_key'), 'config', ['key'], unique=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    """Downgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_config_key'), table_name='config')
    op.drop_index(op.f('ix_config_id'), table_name='config')
    op.drop_table('config')
    # ### end Alembic commands ###
